Bug 1717023 - Retry to add conversion host via UI shows API error
Summary: Retry to add conversion host via UI shows API error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.5
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.6
Assignee: Daniel Berger
QA Contact: Shveta
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1713394
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-04 14:42 UTC by Satoe Imaishi
Modified: 2019-07-02 04:33 UTC (History)
2 users (show)

Fixed In Version: 5.10.6.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1713394
Environment:
Last Closed: 2019-07-02 04:33:27 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1644 None None None 2019-07-02 04:33:36 UTC

Comment 2 CFME Bot 2019-06-10 13:35:58 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/aa86709453e65c50badf90ece07222cd309c08c5
commit aa86709453e65c50badf90ece07222cd309c08c5
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed May 29 11:28:14 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Wed May 29 11:28:14 2019 -0400

    Merge pull request #18819 from djberg96/conversion_host_auth_user

    [V2V] Restore auth_user in conversion host context data

    (cherry picked from commit 184bb9d3864d84b91903bc0003a9d77362f5863c)

    https://bugzilla.redhat.com/show_bug.cgi?id=1717023

 app/models/conversion_host/configurations.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 3 CFME Bot 2019-06-10 13:40:56 UTC
New commit detected on ManageIQ/manageiq-api/hammer:

https://github.com/ManageIQ/manageiq-api/commit/dc1165c75763e22e508877062c29166c1bc3b6d5
commit dc1165c75763e22e508877062c29166c1bc3b6d5
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Wed May 29 11:53:35 2019 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Wed May 29 11:53:35 2019 -0400

    Merge pull request #600 from djberg96/conversion_host_supports_feature

    Adjust ConversionHost support check so that it uses resource instead of singleton

    (cherry picked from commit a8dc1913f64950fb99b2994ceb21459bc149c566)

    https://bugzilla.redhat.com/show_bug.cgi?id=1717023

 app/controllers/api/conversion_hosts_controller.rb | 6 +-
 spec/requests/conversion_hosts_spec.rb | 18 +-
 2 files changed, 16 insertions(+), 8 deletions(-)

Comment 4 Shveta 2019-06-12 18:18:18 UTC
Works fine .
Verified in 5.10.6.0.20190610201431_b655f24

Comment 6 errata-xmlrpc 2019-07-02 04:33:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1644


Note You need to log in before you can comment on or make changes to this bug.